<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <h2>Queue Processor ${diagqp.proctype}</h2>
                    <table>
                    	<tr>
                    		<td><b>Status</b></td>
                            <td><b>Status Parameters</b></td>
                            <td><b>Min. Processes</b></td>
                            <td><b>Actual Processes</b></td>
                            <td><b>Max. Processes</b></td>
                            <td><b>Status No. Processes</b></td>
                            <td><b>Status Processes</b></td>
                    	</tr>                 
                    	<tr>
                    		<td><template:Lamp text="${diagqp.status}" /></td>
                    		<td><template:Lamp text="${diagqp.runnersysparams}" /></td>
                            <td>${diagqp.runnerminthreads}</td>
                            <td>${diagqp.runneractthreads}</td>
                            <td>${diagqp.runnermaxthreads}</td>
                            <td><template:Lamp text="${diagqp.runnerthreads}" /></td>
                            <td><template:Lamp text="${diagqp.runnerprocesses}" /></td>
                    	</tr>
                    </table>
                    <br/>
                    
                    <h2>Currently running processes</h2>
                    <table>
                    	 <c:forEach var="process" items="${diagqp.procs}">
                    	 	<tr>
                    	 		<td><template:Lamp text="${process.status}" /></td>
                    	 		<td><a href="<c:url value = "/diagnostics/processdetail/${process.processid}"/>">${process.processid}</a></td>
                    	 	</tr>
                    	 </c:forEach>
                    </table>
                    <br/>
                    
                    <h2>Logs</h2>
                    <table>
                    <c:forEach var="log" items="${diagqp.logs}">
                    
                    	<tr>
                    		<td>${log}</td>
                    	</tr>
                    	
                    </c:forEach>
                    </table>
                    <br/>
                    
                </div>
            </div>

    </body>
</html>