<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP MdPTSTLinkList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Pot Type - Store Type Links</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/mdpslistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="psselform">
                        <table><tr>
                            <td>Pot Type:</td>
                            <td><form:input path="pottype"/></td>
                            <td>Store Type:</td>
                            <td><form:input path="storetype"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP MdPTSTLinkList: check if there was links selected")}
                    <c:if test="${pslist.size() > 0}">
                        ${logg.mdata("JSP MdPTSTLinkList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Pot Type</b></td>
                                <td><b>Store Type</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="ps" items="${pslist}">
                                <tr>
                                    <td>${ps.pottype}</td>
                                    <td>${ps.storetype}</td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${ps.actiondelete}">
                                            <form action="<c:url value = "/reporter/mdpslist/delete/${ident.tourl(ps.pottype)}/${ident.tourl(ps.storetype)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>