<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.rep("JSP ReportingPotDetail: start")}

            <div class="divcont">
                <div class="divrepleft"></div>
                <div class="divrepright">

                <h2>Pot</h2>
                    
                <table class="reptable">
                    
                    <!-- Heading lines -->
                    <tr><td></td><td class="tdlabel">ID:</td><td colspan="4">${reppot.pot.id}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Type:</td><td colspan="4">${reppot.pot.type}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Status:</td><td colspan="4">${reppot.pot.potstatus}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Created:</td><td colspan="4">${reppot.created}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel">Modified:</td><td colspan="4">${reppot.modified}</td><td></td></tr>
                    <tr><td></td><td class="tdlabel tdpause">Store Type:</td><td colspan="4">${reppot.storetype}</td><td></td></tr>
                    
                    <!-- Match -->
                    <tr>
                        <td>
                            <form action="<c:url value = "/reportingpot/detailclicks/match/dummy"/>">
                                <c:if test="${reppot.showmatch}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!reppot.showmatch}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel" colspan="5">Match:</td><td></td>
                    </tr>
                    <c:if test="${reppot.showmatch}">
                    <tr><td></td><td></td><td class="tdlabel" colspan="2">Key</td><td class="tdlabel" colspan="3">Value</td></tr>
                    <tr><td></td><td class="tdlabel">0</td><td colspan="2">${reppot.pot.matchkey0}</td><td colspan="3">${reppot.pot.matchval0}</td></tr>
                    <tr><td></td><td class="tdlabel">1</td><td colspan="2">${reppot.pot.matchkey1}</td><td colspan="3">${reppot.pot.matchval1}</td></tr>
                    <tr><td></td><td class="tdlabel">2</td><td colspan="2">${reppot.pot.matchkey2}</td><td colspan="3">${reppot.pot.matchval2}</td></tr>
                    <tr><td></td><td class="tdlabel">3</td><td colspan="2">${reppot.pot.matchkey3}</td><td colspan="3">${reppot.pot.matchval3}</td></tr>
                    <tr><td></td><td class="tdlabel">4</td><td colspan="2">${reppot.pot.matchkey4}</td><td colspan="3">${reppot.pot.matchval4}</td></tr>
                    <c:forEach var="em" items="${reppot.pot.extramatches}">
                        <tr>
                            <td></td>
                            <td class="tdlabel">Ext</td>
                            <td colspan="2">${em.matchkey}</td>
                            <td colspan="3">${em.matchval}</td>
                        </tr>
                    </c:forEach>
                    </c:if>
                
                    <!-- Property -->
                    <tr>
                        <td>
                            <form action="<c:url value = "/reportingpot/detailclicks/prop/dummy"/>">
                                <c:if test="${reppot.showprop}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!reppot.showprop}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel" colspan="5">Properties:</td><td></td>
                    </tr>
                    <c:if test="${reppot.showprop}">
                    <tr><td></td><td class="tdlabel tdpause">0</td><td colspan="2">${reppot.pot.prop0}</td>
                        <td class="tdlabel">5</td><td colspan="2">${reppot.pot.prop5}</td></tr>
                    <tr><td></td><td class="tdlabel">1</td><td colspan="2">${reppot.pot.prop1}</td>
                        <td class="tdlabel">6</td><td colspan="2">${reppot.pot.prop6}</td></tr>
                    <tr><td></td><td class="tdlabel">2</td><td colspan="2">${reppot.pot.prop2}</td>
                        <td class="tdlabel">7</td><td colspan="2">${reppot.pot.prop7}</td></tr>
                    <tr><td></td><td class="tdlabel">3</td><td colspan="2">${reppot.pot.prop3}</td>
                        <td class="tdlabel">8</td><td colspan="2">${reppot.pot.prop8}</td></tr>
                    <tr><td></td><td class="tdlabel">4</td><td colspan="2">${reppot.pot.prop4}</td>
                        <td class="tdlabel">9</td><td colspan="2">${reppot.pot.prop9}</td></tr>
                    </c:if>
                </table>
                
                <!-- Master data -->
                <c:if test="${fn:length(reppot.master.nodes) > 0}">
                    <table><tr>
                        <td>
                            <form action="<c:url value = "/reportingpot/detailclicks/master/dummy"/>">
                                <c:if test="${reppot.showmaster}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!reppot.showmaster}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel">Master data:</td>
                    </tr></table>
                    <c:if test="${reppot.showmaster}">
                    <ul class="attrtreeul">
                        <c:forEach var="child" items="${reppot.master.nodes}">
                            <template:RepRecursion ajsp="${child}" callback="${reppot.masterurl}"/>
                        </c:forEach>
                    </ul>
                    </c:if>
                </c:if>     
                
                <!-- Master data copy-->
                <c:if test="${fn:length(reppot.mcopy.nodes) > 0}">
                    <table><tr>
                        <td>
                            <form action="<c:url value = "/reportingpot/detailclicks/mcopy/dummy"/>">
                                <c:if test="${reppot.showmcopy}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!reppot.showmcopy}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel">Master data copy:</td>
                    </tr></table>
                    <c:if test="${reppot.showmcopy}">
                    <ul class="attrtreeul">
                        <c:forEach var="child" items="${reppot.mcopy.nodes}">
                            <template:RepRecursion ajsp="${child}" callback="${reppot.mcopyurl}"/>
                        </c:forEach>
                    </ul>
                    </c:if>
                </c:if>     
                
                <!-- Transactional data-->
                <c:if test="${fn:length(reppot.trans.nodes) > 0}">
                    <table><tr>
                        <td>
                            <form action="<c:url value = "/reportingpot/detailclicks/trans/dummy"/>">
                                <c:if test="${reppot.showtrans}">
                                    <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!reppot.showtrans}">
                                    <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td class="tdlabel">Transactional data:</td>
                    </tr></table>
                    <c:if test="${reppot.showtrans}">
                    <ul class="attrtreeul">
                        <c:forEach var="child" items="${reppot.trans.nodes}">
                            <template:RepRecursion ajsp="${child}" callback="${reppot.transurl}"/>
                        </c:forEach>
                    </ul>
                    </c:if>
                </c:if>     
                
                <!-- Balls list -->
                <c:if test="${replistpotsbyform}">
                    <form action="<c:url value = "/reportingpot/detailclicks/showballs/dummy"/>">
                            <button type="submit">Associated balls</button>
                    </form>
                </c:if>
                    
            </div>
            </div>

    </body>
</html>