<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.user("JSP UserUserList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Users</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regiouser/userlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="userselform">
                        <table><tr>
                            <td>User:</td>
                            <td><form:input path="username"/></td>
                            <td>First name:</td>
                            <td><form:input path="firstname"/></td>
                            <td>Last name:</td>
                            <td><form:input path="lastname"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="7">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.user("JSP UserUserList: check if there was users selected")}
                    <c:if test="${userlist.size() > 0}">
                        ${logg.user("JSP UserUserList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>User name</b></td>
                                <td><b>First name</b></td>
                                <td><b>Last name</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="user" items="${userlist}">
                                <tr>
                                    <td>${user.username}</td>
                                    <td>${user.firstname}</td>
                                    <td>${user.lastname}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${user.actionedit}">
                                            <form action="<c:url value = "/regiouser/userlist/edit/${ident.tourl(user.username)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${user.actiondelete}">
                                            <form action="<c:url value = "/regiouser/userlist/delete/${ident.tourl(user.username)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${user.actioncopy}">
                                            <form action="<c:url value = "/regiouser/userlist/copy/${ident.tourl(user.username)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>