<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.attr("JSP RuleMainEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/reporter/jspf/LeftRuleMainEdit.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Edit Rule:</p>                   
                    
                    <c:url var="ok_url"  value="/reporter/rulemaineditinput/ok" />
                    <c:url var="cancel_url"  value="/reporter/rulemaineditinput/cancel" />
                    <c:url var="editdetail_url"  value="/reporter/rulemaineditinput/editruledetail" />
                    <form:form action="${ok_url}" method="post" modelAttribute="rmef">
                        <c:if test="${action == 'edit'}">
                            <form:hidden path="ruleid"/>
                            <form:hidden path="ruletype"/>
                            <form:hidden path="pottype"/>
                            <form:hidden path="balltype"/>
                        </c:if>
                        
                        <table>
                        
                            <tr><td class="tdlabel">Rule Id:</td><td>
                            <c:if test="${action == 'edit'}">
                                ${rmef.ruleid}
                            </c:if>
                            <c:if test="${action == 'new' or action == 'copy'}">
                                <form:input path="ruleid"/>
                            </c:if>
                            </td></tr>
                            
                            <tr><td class="tdlabel">Description:</td><td><form:input path="description"/></td></tr>
                            
                            <tr><td class="tdlabel">Rule Type:</td><td>
                            <c:if test="${action == 'edit'}">
                                ${rmef.ruletype}
                            </c:if>
                            <c:if test="${action == 'new' or action == 'copy'}">
                                <form:select path="ruletype">
                                    <form:options items = "${rmrts}" />
                                </form:select>
                            </c:if>
                            </td></tr>
                            
                            <tr><td class="tdlabel">Pot Type:</td><td>
                            <c:if test="${action == 'edit'}">
                                ${rmef.pottype}
                            </c:if>
                            <c:if test="${action == 'new' or action == 'copy'}">
                                <form:select path="pottype">
                                    <form:options items = "${rmpts}" />
                                </form:select>
                            </c:if>
                            </td></tr>
                            
                            <tr><td class="tdlabel">Ball type:</td><td>
                            <c:if test="${action == 'edit'}">
                                ${rmef.balltype}
                            </c:if>
                            <c:if test="${action == 'new' or action == 'copy'}">
                                <form:select path="balltype">
                                    <form:options items = "${rmbts}" />
                                </form:select>
                            </c:if>
                            </td></tr>
                            
                            <tr><td class="tdlabel">Ball usage:</td><td>
                                <form:select path="ballusage">
                                    <form:options items = "${rmbus}" />
                                </form:select>
                            </td></tr>
                            
                            <tr><td class="tdlabel">External rule plugin Id:</td>
                            <td>
                                <form:select path="extclass">
                                    <form:options items = "${ruleplugins}" />
                                </form:select>
                            </td></tr>
                            <!-- <tr><td class="tdlabel tdpause">External rule method:</td><td><form:input path="extmethod"/></td></tr>  -->
                            <tr><td class="tdlabel tdpause">Sync/Async usage:</td>
                            <td>
                                <form:select path="proctype">
                                    <form:options items = "${proctypes}" />
                                </form:select>
                            </td></tr>
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                            <tr>
                                <td colspan="2"><button type="submit" formaction="${editdetail_url}">${ident.ws.wedit} details</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>