<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                     <%@ include file="/WEB-INF/jsp/view/setup/HelpBasicInput.jspf" %>
                </div>
                <div class="divright">
                
                    <c:if test="${decision != 'ERROR'}">
                    
                        <c:if test="${decision != 'database'}">
                            <p class="tdpause">We need some basic parameters to start up the new system.</p>
                        </c:if>
                        <c:if test="${decision == 'database'}">
                            <p class="tdpause">Please enter the database parameters:</p>
                        </c:if>
                    
                        <form:form action="receivebasicinput/save" method="post" modelAttribute="bif">
                            <table>
                                <tr><td class="tdlabel tdpause">System:</td><td></td></tr>
                                <c:choose>
                                    <c:when test="${decision == 'regio'}">
                                        <form:hidden path="sysid"/>
                                        <tr><td class="tdlabel">System Id:</td><td>${bif.getSysid()}</td></tr>
                                        <tr><td class="tdlabel">System Name:</td><td><form:input path="sysname"/></td></tr>
                                        <tr><td class="tdlabel"></td><td>Name can contain only A-Z, a-z, 0-9, - and _</td></tr>
                                        <tr><td class="tdlabel">Description:</td><td><form:input path="sysdescription"/></td></tr>
                                        <tr><td class="tdlabel">Admin password:</td><td><form:password path="adminpw1"/></td></tr>
                                        <tr><td class="tdlabel tdpause">Repeat password:</td><td><form:password path="adminpw2"/></td></tr>
                                        <tr><td class="tdlabel tdpause">Central Database:</td><td></td></tr>
                                    </c:when>
                                    <c:when test="${decision == 'bunch'}">
                                        <form:hidden path="sysid"/>
                                        <tr><td class="tdlabel">System Id:</td><td>${bif.getSysid()}</td></tr>
                                        <tr><td class="tdlabel">System Name:</td><td><form:input path="sysname"/></td></tr>
                                        <tr><td class="tdlabel"></td><td>Name can contain only A-Z, a-z, 0-9, - and _</td></tr>
                                        <tr><td class="tdlabel">Description:</td><td><form:input path="sysdescription"/></td></tr>
                                        <tr><td class="tdlabel">Admin password:</td><td><form:password path="adminpw1"/></td></tr>
                                        <tr><td class="tdlabel tdpause">Repeat password:</td><td><form:password path="adminpw2"/></td></tr>
                                        <tr><td class="tdlabel tdpause">Central Database:</td><td></td></tr>
                                    </c:when>
                                    <c:when test="${decision == 'join'}">
                                        <tr><td class="tdlabel tdpause">System Id:</td><td><form:input path="sysid"/></td></tr>
                                        <tr><td class="tdlabel tdpause">Central Database:</td><td></td></tr>
                                    </c:when>
                                </c:choose>
                                
                                <c:if test="${decision != 'join'}">
                                    <tr><td class="tdlabel">Name:</td><td><form:input path="dbname"/></td></tr>
                                    <tr><td class="tdlabel"></td><td>Name can contain only A-Z, a-z, 0-9, - and _</td></tr>
                                </c:if>
                                <tr><td class="tdlabel">Type:</td><td>
                                    <form:select path="dbtype">
                                        <form:options items = "${dbtypes}" />
                                    </form:select>
                                </td></tr>
                                <c:if test="${decision != 'join'}">
                                    <tr><td class="tdlabel">Description:</td><td><form:input path="dbdescription"/></td></tr>
                                </c:if>
                                
                                <c:if test="${webid.error == ''}">
                                    <form:hidden path="dbdriver"/>
                                    <form:hidden path="dbprefix"/>
                                </c:if>
                                <c:if test="${webid.error != ''}">
                                    <tr><td class="tdlabel">Driver:</td><td><form:input path="dbdriver"/></td></tr>
                                    <tr><td class="tdlabel">Prefix:</td><td><form:input path="dbprefix"/></td></tr>
                                </c:if>
                                <tr><td class="tdlabel">Server:</td><td><form:input path="dbserver"/></td></tr>
                                <tr><td class="tdlabel">Schema (Database):</td><td><form:input path="dbschema"/></td></tr>
                                <tr><td class="tdlabel">Connection String:</td><td><form:input path="dbconnstr"/></td></tr>
                                <tr><td class="tdlabel">User:</td><td><form:input path="dbuser"/></td></tr>
                                <tr><td class="tdlabel">Password:</td><td><form:password path="dbpassword"/></td></tr>
                                <c:if test="${decision != 'join'}">
                                    <tr><td class="tdlabel">Create DB tables?</td><td><form:checkbox path="setupdb" value="false"/></td></tr>
                                	<tr><td></td><td></td></tr>
                                	<tr><td class="tdlabel">Registration key:</td><td><form:input path="regkey" size="150"/></td></tr>
                            	</c:if>
                            </table>
                            <button type="submit">${ident.ws.wdone}</button>
                            <button type="submit" formaction="receivebasicinput/cancel">${ident.ws.wcancel}</button>
                        </form:form>
                    </c:if>
                    
                </div>
            </div>
    </body>
</html>